## pontos 25.8.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help livehtml Makefile

livehtml:
	sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## pontos 23.4.9

=== debian/changelog ===
pontos (23.4.9-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:17:01 +0200

pontos (23.4.9-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 May 2023 17:01:29 +0200

=== debian/control ===
Source: pontos
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org> 
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 furo,
 git,
 pybuild-plugin-pyproject,
 python3-colorful,
 python3-dateutil,
 python3-h2,
 python3-myst-parser,
 python3-poetry-core,
 python3-httpx,
 python3-semver,
 python3-sphinx,
 python3-setuptools,
 python3-tomlkit,
 python3-all,
Standards-Version: 4.6.2
Homepage: https://github.com/greenbone/pontos
Vcs-Browser: https://salsa.debian.org/pkg-security-team/pontos
Vcs-Git: https://salsa.debian.org/pkg-security-team/pontos.git
Testsuite: autopkgtest-pkg-python

Package: python3-pontos
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests: python-pontos-doc,
Description: Greenbone Python Utilities and Tools (Python 3)
 This package contains  a collection of utilities, tools, classes and functions
 maintained by Greenbone Networks.
 .
 Pontos is the German name of the Greek titan Pontus, the titan of the sea.
 .
 This package installs the library for Python 3.

Package: python-pontos-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: Greenbone Python Utilities and Tools (common documentation)
 This package contains  a collection of utilities, tools, classes and functions
 maintained by Greenbone Networks.
 .
 Pontos is the German name of the Greek titan Pontus, the titan of the sea.
 .
 This is the common documentation package.

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-all

## pontos 24.3.2

=== debian/changelog ===
pontos (24.3.2-1) unstable; urgency=medium

  * New upstream version 24.3.2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Jun 2024 15:37:52 +0200

pontos (24.3.1-1) unstable; urgency=medium

  * New upstream version 24.3.1 (Closes: #1056447)
  * Update debian/copyright
  * Add build-dep python3-shtab
  * Add missing dep python3-h2

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Apr 2024 18:13:50 +0200

pontos (23.11.4-1) unstable; urgency=medium

  * New upstream version 23.11.4

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Nov 2023 15:25:49 +0100

pontos (23.9.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #1052240)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Sep 2023 14:26:20 +0200

## pontos 24.9.0

=== debian/changelog ===
pontos (24.9.0-1) unstable; urgency=medium

  * New upstream version 24.9.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Oct 2024 12:11:10 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,12 @@
  python3-colorful,
  python3-dateutil,
  python3-h2,
+ python3-lxml,
  python3-myst-parser,
  python3-poetry-core,
  python3-httpx,
  python3-semver,
+ python3-shtab,
  python3-sphinx,
  python3-setuptools,
  python3-tomlkit,
@@ -32,6 +34,7 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
+ python3-h2
 Suggests: python-pontos-doc,
 Description: Greenbone Python Utilities and Tools (Python 3)
  This package contains  a collection of utilities, tools, classes and functions

## pontos 25.3.2

=== debian/changelog ===
pontos (25.3.2-1) unstable; urgency=medium

  * New upstream version 25.3.2
  * Bump Standards-Version to 4.7.2 (no change)
  * Fix syntax warning (Closes: #1085784)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Mar 2025 11:16:56 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-setuptools,
  python3-tomlkit,
  python3-all,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/greenbone/pontos
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/pontos
 Vcs-Git: https://salsa.debian.org/pkg-security-team/pontos.git

## pontos 25.8.1

=== debian/changelog ===
pontos (25.8.1-1) unstable; urgency=medium

  * New upstream version 25.8.1

 -- Sophie Brun <sophie@kali.org>  Thu, 21 Aug 2025 15:20:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org> 
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=pontos
export PYBUILD_BEFORE_TEST=cp -r {dir}/pyproject.toml {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/pyproject.toml

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-all, git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/greenbone/pontos/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
